# Class SocketOutputStreamPoolFactory

BaseKeyedPooledObjectFactory
org.apache.jmeter.visualizers.backend.graphite.SocketOutputStreamPoolFactory

public class SocketOutputStreamPoolFactory extends BaseKeyedPooledObjectFactory
Pool Factory of `SocketOutputStream`

Since:
  2.13

## Constructor Summary

Constructors
Constructor
Description
`SocketOutputStreamPoolFactory(int socketConnectTimeoutInMillis, int socketTimeoutInMillis)`

## Method Summary

Modifier and Type
Method
Description
`SocketOutputStream`
`create(SocketConnectionInfos connectionInfos)`
`void`
`destroyObject(SocketConnectionInfos socketConnectionInfos, PooledObject<org.apache.jmeter.visualizers.backend.graphite.SocketOutputStream> socketOutputStream)`
`PooledObject<org.apache.jmeter.visualizers.backend.graphite.SocketOutputStream>`
`makeObject(SocketConnectionInfos connectionInfos)`
`boolean`
`validateObject(SocketConnectionInfos HostAndPort, PooledObject<org.apache.jmeter.visualizers.backend.graphite.SocketOutputStream> socketOutputStream)`
`PooledObject<org.apache.jmeter.visualizers.backend.graphite.SocketOutputStream>`
`wrap(SocketOutputStream outputStream)`

## Constructor Details

### SocketOutputStreamPoolFactory

public SocketOutputStreamPoolFactory(int socketConnectTimeoutInMillis, int socketTimeoutInMillis)

## Method Details

### makeObject

public PooledObject<org.apache.jmeter.visualizers.backend.graphite.SocketOutputStream> makeObject(SocketConnectionInfos connectionInfos) throws Exception

Throws:
  `Exception`

### destroyObject

public void destroyObject(SocketConnectionInfos socketConnectionInfos, PooledObject<org.apache.jmeter.visualizers.backend.graphite.SocketOutputStream> socketOutputStream) throws Exception

Throws:
  `Exception`

### validateObject

public boolean validateObject(SocketConnectionInfos HostAndPort, PooledObject<org.apache.jmeter.visualizers.backend.graphite.SocketOutputStream> socketOutputStream)

### create

public SocketOutputStream create(SocketConnectionInfos connectionInfos) throws Exception

Throws:
  `Exception`

### wrap

public PooledObject<org.apache.jmeter.visualizers.backend.graphite.SocketOutputStream> wrap(SocketOutputStream outputStream)